html {
  font-size: 100%;
}

:root {
  --color-white: #ffffff;
  --color-black: #000000;
  --primary-fonts: "Inter", sans-serif;
}

*,
*::after,
*::before {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

li {
  list-style: none;
}

a {
  text-decoration: none;
  color: inherit;
}

img {
  display: block;
  max-width: 100%;
  width: 100%;
}

body {
  background: var(--color-white);
  font-family: var(--primary-fonts);
  color: var(--color-black);
}

main {
  max-width: 1440px;
  margin: 0 auto;
}

.page-width {
  max-width: 1280px;
  margin-inline: auto;
}

.btn {
  display: inline-block;
  padding: 0.5rem 1.125rem;
  border-radius: 1.5625rem;
  border: 0.0625rem solid var(--color-black);
  text-transform: capitalize;
  font-size: 1.125rem;
  font-weight: 500;
  max-width: fit-content;
}

.section-spacing {
  margin-block: 3.75rem;
}

.fade-in {
  opacity: 0;
  transform: translateY(8rem);
  transition: all 0.3s;
}

.fade-in.active {
  opacity: 1;
  transform: translateY(0rem);
}

/* Navbar */

.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-block: 1.25rem;
}

.navbar__logo {
  max-width: 3.125rem;
}

.navbar__links {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.navbar__links li {
  display: flex;
}

.navbar__links li a {
  font-size: 1.125rem;
  line-height: 1.375rem;
  font-weight: 500;
  padding: 0.625rem;
  transition: all 0.3s;
  text-transform: uppercase;
}

.navbar__links li a:hover {
  opacity: 0.7;
}

.hamburger {
  display: none;
}

/* HEADER */

.header {
  position: relative;
  display: flex;
  align-items: center;
  min-height: 37.5rem;
}

.header__content {
  width: 100%;
}

.header__title {
  font-size: 4.125rem;
  line-height: 1.2;
  font-weight: 900;
  margin-bottom: 1.25rem;
}

.header__title span {
  -webkit-text-fill-color: transparent;
  -webkit-text-stroke: 0.125rem black;
}

.header__link {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 0.625rem;
  margin-bottom: 2.5rem;
  transition: all 0.3s;
}

.header__link svg {
  width: 1.25rem;
  transition: all 0.3s;
}

.header__link:hover {
  background: var(--color-black);
  color: var(--color-white);
}

.header__link:hover svg path {
  fill: var(--color-white);
}

.header__logo {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 0.625rem;
}

.header__logo a {
  display: flex;
  width: 2rem;
  height: 2rem;
  transition: 0.3s all;
}

.header__logo a:hover {
  transform: scale(1.1);
}

.header__logo a:first-child {
  width: 4rem;
}

.header__logo a svg {
  width: 100%;
}

.header__images {
  position: absolute;
  top: 0;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.25rem;
  height: 100%;
  max-width: fit-content;
}

.header__image {
  display: flex;
  border: 0.125rem solid var(--color-black);
  width: 9.375rem;
  transform: skew(340deg);
  height: 100%;
}

.header__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Why Prism */

.why-container {
  position: relative;
  min-height: 37.5rem;
}

.why__pretitle,
.work__pretitle,
.offer__pretitle,
.contact__pretitle {
  font-size: 1.125rem;
  line-height: 1.375rem;
  font-weight: 500;
  margin-bottom: 1.5625rem;
}

.why__title,
.work__title,
.offer__title,
.contact__title {
  display: inline-flex;
  position: relative;
  font-size: 2.8125rem;
  line-height: 54.46px;
  padding-bottom: 2rem;
  margin-bottom: 3.125rem;
  font-weight: 600;
}

.why__title::after,
.work__title::after,
.offer__title::after {
  position: absolute;
  content: "";
  left: 0;
  bottom: 0;
  width: 100%;
  height: 0.125rem;
  background-color: var(--color-black);
}

.why__cards {
  position: relative;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 5rem;
}

.why__card-line {
  position: absolute;
  top: 0;
  right: 0;
  width: max-content;
  height: 100%;
  z-index: -000;
}

.why__card {
  position: relative;
  padding: 2rem 3rem 2rem 1.5rem;
  border-radius: 0.625rem;
  border: 0.125rem solid var(--color-black);
  cursor: pointer;
  transition: all 0.3s;
  z-index: 1;
  background: var(--color-white);
}

.why__card::after {
  position: absolute;
  content: "";
  border: 0.125rem solid transparent;
  width: 99%;
  height: 99%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 0.625rem;
}

.why__card:hover {
  color: var(--color-white);
  background: var(--color-black);
  border-color: var(--color-black);
}

.why__card:hover::after {
  border-color: var(--color-white);
}

.why__card-title {
  position: relative;
  font-size: 2.1875rem;
  line-height: 2.625rem;
  padding-bottom: 1.5625rem;
  margin-bottom: 1.25rem;
  font-weight: 600;
}

.why__card-title::after {
  position: absolute;
  content: "";
  left: 0;
  bottom: 0;
  width: 100%;
  height: 0.125rem;
  background-color: var(--color-black);
  transition: all 0.3s;
}

.why__card:hover .why__card-title::after {
  background-color: var(--color-white);
}

.why__card-desc {
  font-size: 1.125rem;
  line-height: 1.375rem;
  font-weight: 500;
}

.why__card-desc:first-of-type {
  margin-bottom: 2rem;
}

/* Work */

.work {
  position: relative;
  min-height: 37.5rem;
}

.work__cards {
  display: flex;
  justify-content: flex-start;
  flex-flow: column;
  gap: 1.5625rem;
}

.work__card {
  position: relative;
  font-size: 1.5625rem;
  line-height: 1.2;
  font-weight: 500;
  padding: 1.5rem 2.6rem;
  border: 0.125rem solid var(--color-black);
  border-radius: 1.125rem;
  max-width: 41.875rem;
  cursor: pointer;
  transition: all 0.3s;
  background: var(--color-white);
}

.work__card::after {
  position: absolute;
  content: "";
  width: 99.5%;
  height: 98%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 2px solid transparent;
  border-radius: 1.125rem;
}

.work__card:hover::after {
  border-color: var(--color-white);
}

.work__card:hover {
  color: var(--color-white);
  background: var(--color-black);
}

.work__images {
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 2rem;
  position: absolute;
  right: 0;
  top: 0;
  width: max-content;
  height: 100%;
  z-index: -1;
}

.work__image {
  border: 2px solid var(--color-black);
  width: 9.375rem;
  height: 100%;
  transform: skew(340deg);
}

.work__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Offer */

.offer__title {
  font-weight: 800;
  margin-bottom: 0;
  display: block;
}

.offer__cards {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

.offer__card {
  position: relative;
  display: flex;
  justify-content: space-between;
  flex-flow: column;
  padding: 2rem 3rem;
  transition: all 0.3s;
  cursor: pointer;
}

.offer__card:hover {
  background: var(--color-black);
  color: var(--color-white);
}

.offer__card-title {
  font-size: 2.1875rem;
  line-height: 1.2;
  font-weight: 500;
  margin-bottom: 2.5rem;
}

.offer__card-desc {
  font-size: 1.25rem;
  line-height: 1.3;
  margin-bottom: 1.5rem;
}

.offer__card-img {
  width: 100%;
  max-height: 8.125rem;
  object-fit: cover;
  object-position: center;
  border-radius: 0.625rem;
  border: 0.3125rem solid var(--color-black);
  transition: all 0.3s;
}

.offer__card:hover .offer__card-img {
  border-color: var(--color-white);
}

/* Contact */

.contact {
  position: relative;
  min-height: 500px;
  margin-bottom: 0;
  padding-bottom: 5rem;
}

.contact__title {
  padding-bottom: 0;
  margin-bottom: 2rem;
  font-weight: 800;
}

.contact__links {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 1.875rem;
}

.contact__links a {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 0.625rem;
  transition: all 0.3s;
  background: var(--color-black);
  color: var(--color-white);
}

.contact__links a:hover {
  color: var(--color-black);
  background: var(--color-white);
}

.contact__links a svg {
  width: 1.25rem;
}

.contact__links a svg path {
  fill: var(--color-white);
}

.contact__links a:hover svg path {
  fill: var(--color-black);
}

.contact__cards {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 2.5rem;
  position: absolute;
  top: 0;
  right: 0;
  width: max-content;
  height: 100%;
  transform: skew(30deg);
  z-index: -1;
}

.contact__card {
  position: relative;
  width: 9.375rem;
  height: 100%;
  background: var(--color-black);
  bottom: -0.625rem;
}

.contact__card::after {
  position: absolute;
  content: "";
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 98%;
  height: 98%;
  border: 0.125rem solid var(--color-white);
  z-index: 11;
}

.contact__desc {
  font-size: 1.125rem;
  line-height: 1.4;
  margin-bottom: 3.125rem;
  max-width: 43.75rem;
  position: relative;
  z-index: 22;
}

.contact__container .contact__cards div {
  bottom: -17rem;
}

/* FOOTER */
footer {
  position: relative;
  padding-block: 3rem 4rem;
  background-color: var(--color-black);
  color: var(--color-white);
  font-size: 1.125rem;
  font-weight: 500;
  z-index: 10;
}

.footer__container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.footer__logo {
  max-width: 2.5rem;
}

.footer__links {
  display: flex;
  align-items: center;
  gap: 1.25rem;
}

.footer__links a {
  padding: 1.25rem;
}

.footer__divider {
  width: 100%;
  height: 0.0625rem;
  background: var(--color-white);
  margin-block: 3rem;
}

.sub__footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.sub__footer-links {
  display: flex;
  align-items: center;
  gap: 2.5rem;
}

.sub__footer-logo {
  width: 1.875rem;
  height: 1.875rem;
  transition: all 0.3s;
}

.sub__footer-logo:hover {
  scale: 1.1;
}

/* APPLY PAGE */

.apply__form {
  margin-bottom: 3.125rem;
}

/* CONTACT PAGE */

@media (max-width: 1650px) {
  main {
    max-width: 1280px;
  }
}

@media (max-width: 1500px) {
  main {
    max-width: 100%;
    overflow: hidden;
  }
}

@media (max-width: 1300px) {
  .page-width {
    max-width: 1000px;
  }

  .navbar__logo {
    max-width: 2.5rem;
  }

  .navbar__links li a {
    font-size: 1rem;
    padding: 0.5rem;
  }

  .header__image {
    width: 7.5rem;
  }

  .header__title {
    font-size: 3.3rem;
    margin-bottom: 1rem;
  }

  .header__link {
    font-size: 1rem;
    margin-bottom: 2rem;
  }

  .why__pretitle,
  .work__pretitle,
  .offer__pretitle,
  .contact__pretitle {
    font-size: 1rem;
    margin-bottom: 1rem;
  }

  .why__title,
  .work__title,
  .offer__title,
  .contact__title {
    font-size: 2rem;
    line-height: 1.2;
    padding-bottom: 1rem;
    margin-bottom: 2.4rem;
  }

  .offer__title {
    margin-bottom: 0;
  }

  .why__card-title {
    font-size: 1.5rem;
    line-height: 1.2;
    padding-bottom: 1rem;
    margin-bottom: 1rem;
  }

  .why__card-desc {
    font-size: 1rem;
  }

  .why__card-desc:first-of-type {
    margin-bottom: 1rem;
  }

  .why__card-line {
    max-width: 50%;
  }

  .work__card {
    font-size: 1.125rem;
    padding-inline: 2rem;
  }

  .work__image {
    width: 7.5rem;
  }

  .offer__card {
    padding: 1.5rem 2rem;
  }

  .offer__card-title {
    font-size: 1.5rem;
    margin-bottom: 1.5rem;
  }

  .offer__card-desc {
    font-size: 1.125rem;
  }

  .offer__card-img {
    max-height: 6.5rem;
  }

  .contact__card {
    width: 7.5rem;
  }

  footer {
    font-size: 1rem;
  }

  .footer__links a {
    padding: 1rem;
  }

  .footer__divider {
    margin-block: 2.5rem;
  }

  .contact__desc {
    max-width: 31.25rem;
    font-size: 1rem;
  }
}

@media (max-width: 1024px) {
  .page-width {
    max-width: 700px;
  }

  .header {
    min-height: 25rem;
  }

  .header__image:nth-child(5),
  .header__image:nth-child(4) {
    display: none;
  }

  .header__title {
    margin-bottom: 1.25rem;
    line-height: 1;
  }

  .header__link {
    font-size: 0.875rem;
    margin-bottom: 1.25rem;
  }

  .header__link svg {
    width: 1rem;
  }

  .header__logo a {
    width: 2rem;
    height: 1.5rem;
  }

  .header__logo a:first-child {
    width: 2rem;
  }

  .why__pretitle,
  .work__pretitle,
  .offer__pretitle,
  .contact__pretitle {
    font-size: 0.875rem;
    margin-bottom: 0.625rem;
  }

  .why-container,
  .work {
    min-height: 25rem;
  }

  .why__title,
  .work__title,
  .offer__title,
  .contact__title {
    font-size: 1.5rem;
    padding-bottom: 0.625rem;
    margin-bottom: 2rem;
  }

  .offer__title {
    margin-bottom: 0;
  }

  .why__cards {
    gap: 1rem;
  }

  .why__card {
    padding: 1rem;
  }

  .why__card-title {
    font-size: 1.25rem;
    padding-bottom: 0.625rem;
    margin-bottom: 0.625rem;
  }

  .work__card {
    font-size: 1rem;
    padding-inline: 1rem;
    max-width: 30rem;
  }

  .offer__card {
    padding: 1rem;
  }

  .offer__card-title {
    font-size: 1.125rem;
    margin-bottom: 1rem;
  }

  .offer__card-desc {
    font-size: 0.875rem;
    margin-bottom: 1rem;
  }

  .offer__card-img {
    max-height: 5rem;
    border: 0.1875rem solid var(--color-black);
  }

  .contact {
    min-height: auto;
  }

  .contact__title {
    margin-bottom: 1.25rem;
    padding-bottom: 0;
    line-height: 1;
  }

  .contact__links {
    gap: 1rem;
  }

  .contact__links a {
    padding: 0.3125rem 1rem;
    font-size: 0.75rem;
  }

  .contact__links a svg {
    width: 1rem;
  }

  .contact__cards {
    gap: 1rem;
  }

  .contact__card,
  .header__image,
  .work__image {
    width: 6.25rem;
  }

  .contact__container .contact__cards {
    right: -7rem;
  }

  .contact__container .contact__cards div {
    bottom: -10rem;
  }

  .contact__desc {
    margin-bottom: 2rem;
  }
}

@media (max-width: 767px) {
  .page-width {
    max-width: 90%;
  }

  .navbar {
    padding-block: 2rem;
  }

  .hamburger {
    display: flex;
    position: relative;
    z-index: 10000;
  }

  .header {
    min-height: 70vh;
  }

  .header__image:nth-child(3) {
    display: none;
  }

  .navbar__logo {
    max-width: 2rem;
  }

  .navbar__links {
    position: relative;
    flex-flow: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 0.625rem;
    background: var(--color-black);
    width: 65%;
    left: -100%;
    top: 0;
    position: fixed;
    height: 100vh;
    z-index: 11111;
    padding: 2rem;
    transition: all 0.3s;
    color: var(--color-white);
  }

  body.active__dark::after {
    position: fixed;
    content: "";
    width: 100%;
    height: 100%;
    background: #0000002e;
    top: 0;
    left: 0;
    z-index: 1000;
  }

  #nav-icon4 {
    width: 40px;
    height: 30px;
    position: relative;
    margin-inline: auto;
    transition: 0.5s ease-in-out;
    cursor: pointer;
  }

  #nav-icon1 span,
  #nav-icon3 span,
  #nav-icon4 span {
    display: block;
    position: absolute;
    height: 5px;
    width: 100%;
    background: var(--color-black);
    border-radius: 0.5625rem;
    opacity: 1;
    left: 0;
    transition: 0.25s ease-in-out;
  }

  #nav-icon4 span:nth-child(1) {
    top: 0px;
    transform-origin: left center;
  }

  #nav-icon4 span:nth-child(2) {
    top: 12.5px;
    transform-origin: left center;
  }

  #nav-icon4 span:nth-child(3) {
    top: 25px;
    transform-origin: bottom center;
  }

  #nav-icon4.open span:nth-child(1) {
    transform: rotate(38deg);
    background: var(--color-white);
  }

  #nav-icon4.open span:nth-child(2) {
    width: 0%;
    opacity: 0;
    background: var(--color-white);
  }

  #nav-icon4.open span:nth-child(3) {
    transform-origin: left center;
    transform: rotate(-38deg);
    background: var(--color-white);
  }

  .navbar__links.navbar__active {
    left: 0;
  }

  .header__images {
    right: -70px;
  }

  .header__title {
    font-size: 2rem;
    line-height: 1.1;
    margin-bottom: 1rem;
  }

  .header__title span {
    -webkit-text-stroke: 0.0625rem black;
  }

  .header__link {
    padding: 0.3125rem 0.875rem;
    gap: 0.3125rem;
    font-size: 0.75rem;
    margin-bottom: 1.5rem;
  }

  .header__link svg {
    width: 0.625rem;
  }

  .why__pretitle,
  .work__pretitle,
  .offer__pretitle,
  .contact__pretitle {
    text-align: center;
  }

  .why__title,
  .work__title,
  .offer__title,
  .contact__title {
    font-weight: 900;
    display: flex;
    width: fit-content;
    margin-inline: auto;
    text-align: center;
  }

  .offer__title {
    margin-bottom: 2rem;
  }

  .why__cards {
    width: 80%;
    gap: 2.5rem;
    margin-inline: auto;
    grid-template-columns: repeat(1, 1fr);
  }

  .why__card {
    padding: 1.25rem;
  }

  .why__card-line {
    max-width: 100%;
    height: max-content;
    top: 50%;
    transform: translateY(-50%);
  }

  .why__card-title {
    font-size: 1.5625rem;
    margin-bottom: 1.25rem;
    padding-bottom: 1.25rem;
  }

  .why__card-desc {
    font-size: 0.875rem;
    line-height: 1.3;
  }

  .why-container,
  .work {
    min-height: auto;
  }

  .work__images {
    gap: 1rem;
    right: -8.4375rem;
    height: 20rem;
    bottom: 0;
    top: unset;
  }

  .work__cards {
    gap: 1rem;
    width: 90%;
    margin-inline: auto;
  }

  .work__card {
    padding: 1rem;
  }

  .offer__cards {
    grid-template-columns: repeat(1, 1fr);
    gap: 1rem;
  }

  .contact {
    position: relative;
    z-index: 44;
    padding-bottom: 7rem;
  }

  .contact__cards {
    right: -5rem;
  }

  .contact__card {
    width: 5rem;
    bottom: -8.125rem;
  }

  .contact__links {
    justify-content: space-between;
  }

  .contact__links a {
    font-size: 0.75rem;
    gap: 0.375rem;
  }

  .contact__links a svg {
    width: 0.625rem;
  }

  footer {
    padding-block: 2.5rem;
    font-size: 0.8125rem;
  }

  .footer__links a {
    padding: 0.625rem;
  }

  .footer__logo {
    max-width: 1.5rem;
  }

  .footer__divider {
    margin-block: 2rem;
  }

  .sub__footer-links {
    font-size: 0.625rem;
    gap: 1rem;
  }

  .sub__footer-logo {
    width: 1.25rem;
    height: 1.25rem;
  }

  .contact__desc {
    text-align: center;
    max-width: 100%;
  }

  .contact__container .contact__cards {
    right: -3rem;
  }

  .contact__container .contact__cards div {
    bottom: -22rem;
  }
}

@media (max-width: 390px) {
  .contact__links {
    gap: 0.5rem;
  }
}
